Bug 473479 - "make mockbuild" misses fedora-11-i386.cfg, fails in packages' CVS devel/ dirs
"make mockbuild" misses fedora-11-i386.cfg, fails in packages' CVS devel/ dirs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: buildsystem (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
: 471038 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-28 13:52 EST by Hans Ulrich Niedermann
Modified: 2010-06-28 06:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:50:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans Ulrich Niedermann 2008-11-28 13:52:38 EST
Description of problem:

  With a stock install of mock (i.e. using the /etc/mock/
  contents from the mock RPM), you cannot run "make mockbuild"
  in any packages' "devel/" directory:

    $ make mockbuild
    [...]
    ERROR: Could not find required config file: /etc/mock/fedora-11-i386.cfg
    make: *** [mockbuild] Error 1
    $

  The workaround is

    # cd /etc/mock
    # ln -s fedora-rawhide-i386.cfg fedora-11-i386.cfg

Version-Release number of selected component (if applicable):

  mock-0.9.13-1.fc9.noarch

How reproducible:

  100%

Steps to Reproduce:
1. Check out any Fedora packages' CVS
2. cd $PACKAGE/devel
3. make mockbuild

Actual results:

  ERROR: Could not find required config file: /etc/mock/fedora-11-i386.cfg
  make: *** [mockbuild] Error 1

Expected results:

  A finished RPM build in the mock chroot.

Additional info:

  There are symlinks in /etc/mock like

    fedora-devel-i386.cfg -> fedora-rawhide-i386.cfg

  which might or might not have been added earlier to fix
  this issue with an older version of the CVS build scripts.
Comment 1 Hans Ulrich Niedermann 2008-11-28 13:55:54 EST
I presume this is the proper component to report this bug to. Reassigning bug 473448 didn't appear to work for me.
Comment 2 David Juran 2008-12-01 07:13:48 EST
*** Bug 471038 has been marked as a duplicate of this bug. ***
Comment 3 Bug Zapper 2009-06-09 05:58:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-04-27 08:23:36 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 06:50:49 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.